//
//                      Copyright (c) 1996 by
//                      Advanced Visual Systems Inc.
//                      All Rights Reserved
//
//      This software comprises unpublished confidential information of
//      Advanced Visual Systems Inc. and may not be used, copied or made
//      available to anyone, except in accordance with the license
//      under which it is furnished.
//
//      This file is under Perforce control
//      $Id: //depot/express/fcs992/include/avs/ag/poltick.hxx#1 $
//

// AgPolarTicklines class

//----------------------------------------------------------------------

#ifndef AG_POLTICK_HXX
#define AG_POLTICK_HXX

#ifndef AG_PRIM_HXX
#include "prim.hxx"
#endif

#ifndef AG_POLWORLD_HXX
#include "polworld.hxx"
#endif

#ifndef AG_TICKLINE_HXX
#include "tickline.hxx"
#endif

#ifndef AG_POLAXIS_HXX
#include "polaxis.hxx"
#endif

//----------------------------------------------------------------------
class AgPolarRTicklines : public AgTicklines 
//----------------------------------------------------------------------
{

  public:
    AgPolarRTicklines();
    virtual void print() {printf("AgPolarRTicklines ");};

  protected:
    virtual void _drawThis();
};

//----------------------------------------------------------------------
class AgPolarTTicklines : public AgTicklines 
//----------------------------------------------------------------------
{

  public:
    AgPolarTTicklines();
    virtual void print() {printf("AgPolarTTicklines ");};

  protected:
    virtual void _drawThis();
};

#endif // DON'T ADD ANYTHING AFTER THIS #endif
